# -*- coding: utf-8 -*-
# 高度メッシュCSVを下に連結
import sys
import re

# 入力ファイルと出力ファイルを読み取る
args = sys.argv         # 引数取得
if (len(args) <= 3):    # 足りなかったら終了
    print ("[usage] joinb.py top-filename bottom-filename output-filename")
    sys.exit()
lfilename=args[1]        # 入力ファイル名
rfilename=args[2]        # 入力ファイル名
ofilename=args[3]       # 出力ファイル名

# ヘッダ解析変数の初期値
lowlot=0    # 低経度
lowlat=0    # 低緯度
uplot=0     # 高経度
uplat=0     # 高緯度
width=0     # メッシュ幅
height=0    # メッシュ高さ

# ファイル準備
lfile=open(lfilename)
rfile=open(rfilename)
csv=open(ofilename,'w')

# 双方のヘッダを読み取り、合成して書き出す
for cnt in range(0,6):
    lline=lfile.readline()
    ldat=lline.rstrip('\r\n')
    rline=rfile.readline()
    rdat=rline.rstrip('\r\n')
    if (cnt==1):    # 低緯度は下の緯度
        csv.write(rdat+'\n')
    elif (cnt==4):  # メッシュ幅は維持
        width=int(ldat)
        csv.write(ldat+'\n')
    elif (cnt==5):  # メッシュ高さは２倍
        height=int(ldat)
        csv.write(str(height*2)+'\n')
    else:           # 他の緯度経度は左を維持
        csv.write(ldat+'\n')

for vcnt in range(0,height):    # 上の高度を先に出力
    for hcnt in range(0,width):
        line=lfile.readline()
        csv.write(line)
for vcnt in range(0,height):    # 下の高度を出力
    for hcnt in range(0,width):
        line=rfile.readline()
        csv.write(line)

# ファイルを閉じる
csv.close()
rfile.close()
lfile.close()

sys.exit()

